
Redmine - Feature #1088

Time logging via commit messages

2008-04-22 21:33 - Jone Marius Vignes

Status: Closed Start date: 2008-04-22

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Time tracking Estimated time: 0.00 hour

Target version:    

Resolution: Fixed   

Description

It would be really nice to have the ability to log time spent on a revision in the commit-message. With distributed systems like git, it

would then be possible to register time spent when working offline. Syntax could be something like "refs #11 (00:45)". The comment

might be a link to the associated revision.

Related issues:

Related to Redmine - Feature #1518: Log time via commit messages Closed 2008-06-23

Has duplicate Redmine - Feature #1331: Allow logging of time via repository c... Closed 2008-05-30

History

#1 - 2008-09-11 12:00 - David Gillard

It would also possibly need to take an activity value as well as the time. +1

#2 - 2009-02-15 15:26 - Mischa The Evil

Related this issue to #1518 which also contains patches for this.

#3 - 2009-06-19 20:40 - Ludovic Aelbrecht

This seems like a dupe of #1518 to me, instead of just being related to it. Is there a reason this shouldn't be resolved to 'duplicate'?

#4 - 2010-12-29 22:13 - Jean-Philippe Lang

- Status changed from New to Closed

- Resolution set to Fixed

See #4155.
